#
# spec file for package fillup (Version 1.42)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client opensp openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed sgmltool strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           fillup
BuildRequires:  sgmltool
License:        GPL
Group:          System/Base
Provides:       aaa_base:/bin/fillup
PreReq:         %install_info_prereq
Autoreqprov:    on
Version:        1.42
Release:        118.2
Summary:        Tool for Merging Config Files
Source:         fillup-%{version}.tar.bz2
Patch:          fillup-optflags.patch
Patch1:         fillup-warnings.dif
Patch2:         fillup-%{version}.dif
Patch3:         fillup-retval.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define fillup_info_entry * fillup: (fillup) fillup. SuSE-fillup-tool.

%description
fillup merges files that hold variables.  A variable is defined by an
entity composed of a preceding comment, a variable name, an assignment
delimiter, and a related variable value.  A variable is determined by
its variable name.



Authors:
--------
    Joerg Dippel <jd@suse.de>

%debug_package
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0

%build
#
# Be sure that the tests for fillup are run in
# DEBUG mode for comparision with the references
#
make clean
make test    OPTISPLUS="$RPM_OPT_FLAGS"
#
# For the real world make clean and use the
# optimzed version.
#
make clean
make compile COMPILE_OPTION=OPTIMIZE OPTISPLUS="$RPM_OPT_FLAGS"
#
# Documentation
#
make -C SGML all

%install
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates
#
# install fillup
#
install -d -m 755 $RPM_BUILD_ROOT/bin
install -s -m 755 BIN/fillup $RPM_BUILD_ROOT/bin
install -d $RPM_BUILD_ROOT/%{_infodir}
install -d $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 644 SGML/fillup.info.gz $RPM_BUILD_ROOT/%{_infodir}
install -m 644 SGML/fillup.8.gz $RPM_BUILD_ROOT/%{_mandir}/man8

%post
%install_info --entry="%{fillup_info_entry}" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --entry="%{fillup_info_entry}" --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc SGML/fillup.txt
/bin/fillup
%{_infodir}/fillup.info.*
%{_mandir}/man8/fillup*

%changelog -n fillup
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - ro@suse.de
- fix missing return value in test-code (#139594)
* Fri Sep 02 2005 - werner@suse.de
- Fix segv on big endian (bug #114066)
  * Correct usage of EOF macro, this is and was never a character
  * Make it handle missing newline at EOF
- Make it strict alias safe
- Compare the correct debug output in test suite (bug #95371)
* Wed Jul 27 2005 - ro@suse.de
- silence some compiler warnings (#95370)
* Tue Jun 28 2005 - ro@suse.de
- removed -fsigned-char (#93875)
* Wed Jun 15 2005 - meissner@suse.de
- Use RPM_OPT_FLAGS -fno-strict-aliasing.
- compile OPTIMIZE, drop some no longer applying -f flags.
* Mon Mar 01 2004 - ro@suse.de
- fix install_info stuff in postun
* Mon Oct 20 2003 - ro@suse.de
- use defattr
- don't build as root
* Thu Sep 11 2003 - ro@suse.de
- update to 1.42 (#30279)
* Mon Aug 25 2003 - ro@suse.de
- update to 1.41
- additional Keyword: PreSaveCommand
* Thu Aug 14 2003 - ro@suse.de
- update to 1.38 with additional MetaData keywords
* Mon Jun 16 2003 - kukuk@suse.de
- Remove /var/adm/fillup-templates, already in filesystem package
* Wed Mar 12 2003 - ro@suse.de
- update to 1.24 including the last two patches and
  more testcases for "make check"
* Wed Mar 12 2003 - ro@suse.de
- switch behaviour to "fixed sequence of metadata" (#25119)
* Sun Mar 09 2003 - ro@suse.de
- fix watchdog for removal part (factor 2 needed)
  (fix for reopened #24648)
* Thu Mar 06 2003 - ro@suse.de
- update to 1.22 (avoid possible infinite loop on failure) (#24648)
* Thu Mar 06 2003 - ro@suse.de
- fix for stale comment when removing variable (#24540)
* Wed Feb 19 2003 - ro@suse.de
- update to 1.21
- works around problem with comments wrongly typed as metadata
* Thu Feb 06 2003 - ro@suse.de
- added install-info macros
* Thu Nov 28 2002 - ro@suse.de
- update to 1.20 beta (aka prototype)
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
* Mon Aug 12 2002 - ro@suse.de
- split off aaa_base
